# Ogre::ScaleAffectorFactory Class Reference

Factory class for ScaleAffector. More...

`#include <OgreScaleAffectorFactory.h>`

Inheritance diagram for Ogre::ScaleAffectorFactory:

List of all members.

## Public Member Functions

virtual void | destroyAffector (ParticleAffector *e)
| Destroys the affector pointed to by the parameter (for early clean up if reauired).

## Protected Attributes

std::vector< ParticleAffector * > | mAffectors

## Private Member Functions

String | getName () const
| See ParticleAffectorFactory.
ParticleAffector * | createAffector (ParticleSystem *psys)
| See ParticleAffectorFactory.

## Detailed Description

Factory class for ScaleAffector.

Definition at line 35 of file OgreScaleAffectorFactory.h.

## Member Function Documentation

ParticleAffector* Ogre::ScaleAffectorFactory::createAffector | ( | ParticleSystem * | psys | ) | `[private, virtual]`

| See ParticleAffectorFactory. Implements Ogre::ParticleAffectorFactory. Definition at line 41 of file OgreScaleAffectorFactory.h.

virtual void Ogre::ParticleAffectorFactory::destroyAffector | ( | ParticleAffector * | e | ) | `[virtual, inherited]`

| Destroys the affector pointed to by the parameter (for early clean up if reauired).

String Ogre::ScaleAffectorFactory::getName | ( | void |  | ) | const`[private, virtual]`

| See ParticleAffectorFactory. Implements Ogre::ParticleAffectorFactory. Definition at line 38 of file OgreScaleAffectorFactory.h. References Ogre::String.

## Member Data Documentation

std::vector<ParticleAffector*> Ogre::ParticleAffectorFactory::mAffectors `[protected, inherited]`

| Definition at line 48 of file OgreParticleAffectorFactory.h.

The documentation for this class was generated from the following file:

- OgreScaleAffectorFactory.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:44:14 2005